Bug 1284264 - Set a default randomized secret key during installation
Set a default randomized secret key during installation
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: graphite-web (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Piotr Popieluch
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1032101
  Show dependency treegraph
 
Reported: 2015-11-22 09:22 EST by Piotr Popieluch
Modified: 2017-02-28 04:50 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Piotr Popieluch 2015-11-22 09:22:20 EST
I think we should generate a random SECRET_KEY during initial installation to make the default installation more secure and prevent the huge amount of warning logs this creates. The key should not be modified during updates.
Comment 1 Jan Kurik 2016-02-24 09:00:38 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Fedora End Of Life 2017-02-28 04:50:44 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Note You need to log in before you can comment on or make changes to this bug.